HomeAPI ReferencePayment Vault OrderSelect Payment Vault Order Asset
POST/payment-orders/select-asset

Select Payment Vault Order Asset

Outcome - Selects or changes the cryptocurrency asset for an existing payment order. This assigns a new wallet and recalculates the amount in the selected asset.

Body Parameters

orderIdstringrequiredmax(42)

The ID of the payment order

assetIdnumberrequired

ID of the new asset to use for payment

Responses

Response attributes

messagestring

Success message

dataobject

Updated payment order with new asset assignment

Show child attributes (22)
idstring

Order ID

referentialAutoIncrementalIdnumber

Auto-incremental ID of the order

vaultIdnumber

Vault ID associated with this order

walletIdnumber

ID of the assigned wallet

clientNamestring

Name of the client

itemNamestring

Name of the item being purchased

statusstring

Order status (PENDING, COMPLETED, CANCELLED, PARTIALLY_PAID, EXPIRED)

amountInDollarstring

Amount converted to USD

amountInFiatstring

Original amount in fiat currency

emailstring

Customer email

expirationstring

Order expiration timestamp

vaultobject

Vault configuration details

Show child attributes (3)
gasStationCategoryIdnumber

Gas station category ID

fiatCurrencyDetailsobject

Fiat currency details

Show child attributes (4)
idnumber

Currency ID

namestring

Currency name

symbolstring

Currency symbol

pricingIdstring

Pricing identifier

photostring | null

Vault photo URL

walletobject

Assigned wallet details

Show child attributes (12)
idnumber

Wallet ID

assetIdnumber

Asset ID

balancestring

Current wallet balance

pendingBalancestring

Pending balance

publicAddressstring

Blockchain address for payment

transactionsCountstring

Number of transactions

targetIdstring

Target ID

protocolnumber

Protocol number

assetobject

Asset details with network information

typestring

Wallet type (ORDER)

createdAtstring

Wallet creation timestamp

updatedAtstring

Wallet update timestamp

amountToBeCollectedstring

Amount available for collection

transactionsarray

Array of order transactions

Show child attributes (5)
idnumber

Transaction ID

amountstring

Transaction amount

blockMinedAtstring

Block mining timestamp

blockchainTransactionIdstring

Blockchain transaction hash

createdAtstring

Transaction creation timestamp

balancestring

Current order balance

expirationWithTolerancestring

Expiration time with tolerance period

paymentLinkstring

URL for the payment page

globalIdstring

Global unique identifier (ULID)

amountInAssetstring

Recalculated amount in the newly selected asset

createdAtstring

Order creation timestamp

updatedAtstring

Order update timestamp

statusnumber

HTTP status code

Was this page helpful?